Module jdk.xml.dom
Package org.w3c.dom.html

# Interface HTMLScriptElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

public interface HTMLScriptElement extends HTMLElement
Script statements. See the SCRIPT element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCharset()`
The character encoding of the linked resource.
`boolean`
`getDefer()`
Indicates that the user agent can defer processing of the script.
`String`
`getEvent()`
Reserved for future use.
`String`
`getHtmlFor()`
Reserved for future use.
`String`
`getSrc()`
URI designating an external script.
`String`
`getText()`
The script content of the element.
`String`
`getType()`
The content type of the script language.
`void`
`setCharset​(String charset)`
`void`
`setDefer​(boolean defer)`
`void`
`setEvent​(String event)`
`void`
`setHtmlFor​(String htmlFor)`
`void`
`setSrc​(String src)`
`void`
`setText​(String text)`
`void`
`setType​(String type)`

### Methods declared in interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Method Details

### getText

String getText()
The script content of the element.

### setText

void setText​(String text)

### getHtmlFor

String getHtmlFor()
Reserved for future use.

### setHtmlFor

void setHtmlFor​(String htmlFor)

### getEvent

String getEvent()
Reserved for future use.

### setEvent

void setEvent​(String event)

### getCharset

String getCharset()
The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.

### setCharset

void setCharset​(String charset)

### getDefer

boolean getDefer()
Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.0.

### setDefer

void setDefer​(boolean defer)

### getSrc

String getSrc()
URI designating an external script. See the src attribute definition in HTML 4.0.

### setSrc

void setSrc​(String src)

### getType

String getType()
The content type of the script language. See the type attribute definition in HTML 4.0.

### setType

void setType​(String type)